Subject: Re: [PATCH 2/2 v3] net/smsc911x: Add regulator support

From: Mark Brown <[email-masked]>
Date: Thu, 27 Oct 2011 23:42:41 +0200

On Thu, Oct 27, 2011 at 10:59:14PM +0200, Mike Frysinger wrote:

> i saw that !CONFIG_REGULATOR works great.  my concern is that these
> boards don't define any regulators for smsc resources, so if
> CONFIG_REGULATOR is enabled to test out unrelated daughter cards, i
> don't want the network driver suddenly failing.  Linus' comments
> suggest that this is what would happen unless each board file has its
> smsc platform resources extended.  maybe i misunderstood what he was saying ?

That's the case that's handled by CONFIG_REGULATOR_DUMMY - if the lookup
fails the core will provide a virtual regulator to the consumer.  If
you're running a setup like that you probably want to enable dummy
regulators anyway.